Page MenuHomeFreeBSD

Add IFLIB_SINGLE_IRQ_RX_ONLY.
ClosedPublic

Authored by markj on Sep 28 2019, 5:15 PM.

Details

Summary

vmxnet3 assumes that tx state is not accessed from the interrupt
handler. r347221 broke that assumption. Add a legacy mode flag to
configure iflib to not do tx processing from the interrupt handler.

Submitted by: marius

Test Plan

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

markj created this revision.Sep 28 2019, 5:15 PM
markj edited the test plan for this revision. (Show Details)Sep 28 2019, 5:16 PM
markj added reviewers: marius, pkelsey.

Functionally it's the same code that I was "MFCd" into my working tree.

gallatin accepted this revision as: gallatin.Sep 29 2019, 1:41 PM
This revision was not accepted when it landed; it landed in state Needs Review.Sep 30 2019, 3:59 PM
Closed by commit rS352906: Add IFLIB_SINGLE_IRQ_RX_ONLY. (authored by markj). · Explain Why
This revision was automatically updated to reflect the committed changes.